Bug 845070 - ovirt-engine-backend [Quota]: move vm from domain with quota to domain with no quota defined will give CanDoAction with wrong error message [TEXT]
ovirt-engine-backend [Quota]: move vm from domain with quota to domain with n...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: ofri
Dafna Ron
sla
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-01 12:09 EDT by Dafna Ron
Modified: 2016-02-10 15:17 EST (History)
8 users (show)

See Also:
Fixed In Version: si18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log (94.31 KB, application/x-xz)
2012-08-01 12:09 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-08-01 12:09:06 EDT
Created attachment 601779 [details]
log

Description of problem:

I tried moving a disk from a domain with defined quota to domain with no quota and got CanDoAction: 
Error while executing action: Cannot move Virtual Machine Disk. Quota is not valid.


Version-Release number of selected component (if applicable):

si12

How reproducible:

100%

Steps to Reproduce:
1. create 2 domains under the same DC 
2. define quota on one domain and not on the other and create a disk on it
3. try to move disk from domain with quota to domain with no quota
  
Actual results:

we get error: 
Error while executing action: Cannot move Virtual Machine Disk. Quota is not valid.


Expected results:

if we are allowed to select the domain with no quota defined we should change error message. 

Additional info:backend log
Comment 1 Itamar Heim 2012-08-02 03:17:16 EDT
"Cannot move Virtual Machine Disk. Quota XXX has XXX GB allowed for this storage domain, but moving the disk will require XXX"

if not text only change to get this text message, postpone from 3.1.
Comment 2 ofri 2012-08-21 05:31:04 EDT
The log messages and popup errors were changed to be more informative on BZ#838589.
Comment 3 Dafna Ron 2012-09-02 08:51:39 EDT
comments #1 and #2 are not what the bug is about.

i have 1 quota on a single domain while having 3 domains under the DC
if I try to move the disk from the current domain (that has a quota on it) the roller of quota will appear as blank but a domain can be selected -> so I can press OK and get the following error: 

Error while executing action: Cannot move Virtual Machine Disk. Quota is not valid.

we should wither fix the CanDoAction error or we should block operation in UI with no valid domain with quota exists. 

this is not fixed on si16

moving back to devel
Comment 4 ofri 2012-09-04 08:49:45 EDT
Posted to upstream: http://gerrit.ovirt.org/#/c/7736/
Comment 6 Dafna Ron 2012-09-21 05:44:49 EDT
verified on si18
we cannot press OK while the roller is blank

Note You need to log in before you can comment on or make changes to this bug.